using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Web.UI.WebControls.Chart;

public partial class _Default : System.Web.UI.Page 
{
  private bool SetEmpty = true;
    protected void Page_Load(object sender, EventArgs e)
    {
      ShowEmptyChart();
      this.ChartWebControl1.Legend.Visible = false;
      //InitializeChartData();
    }

    private void InitializeChartData()
    {
      try
      {
        ChartSeries series1 = this.ChartWebControl1.Model.NewSeries("Series 1");
        series1.Points.Add(0, 500);
        series1.Points.Add(2, 340);
        series1.Points.Add(2, 340);
        series1.Points.Add(2, 340);

        series1.Style.Font.Bold = true;

        series1.Type = ChartSeriesType.StackingColumn;
        series1.Text = series1.Name;
        this.ChartWebControl1.Series.Add(series1);

        ChartSeries series2 = this.ChartWebControl1.Model.NewSeries("Series 2");
        series2.Points.Add(0, 500);
        series2.Points.Add(2, 340);
        series2.Points.Add(2, 340);
        series2.Points.Add(2, 340);

        series2.Style.Font.Bold = true;

        series2.Type = ChartSeriesType.Line;
        series2.Style.Border.DashStyle = System.Drawing.Drawing2D.DashStyle.Dash;
        series2.Text = series2.Name;
        this.ChartWebControl1.Series.Add(series2);

        this.ChartWebControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Auto;
        this.ChartWebControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Auto;
        this.ChartWebControl1.Text = "Essential Chart";
        this.ChartWebControl1.Legend.Visible = true;
      }
      catch (Exception ex)
      {
        this.Title = ex.Message;
      }
    }

    protected void ShowEmptyChart()
    {
      this.ChartWebControl1.Text = "Empty Chart";
      this.ChartWebControl1.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;
      this.ChartWebControl1.PrimaryXAxis.Range = new MinMaxInfo(0, 0, 0);
      this.ChartWebControl1.PrimaryYAxis.RangeType = ChartAxisRangeType.Set;
      this.ChartWebControl1.PrimaryYAxis.Range = new MinMaxInfo(0, 0, 0);
    }
  protected void ChartWebControl1_ChartAreaPaint(object sender, System.Windows.Forms.PaintEventArgs e)
  {
    if (SetEmpty)
    {
      this.ChartWebControl1.Series.Clear();
    }
  }
  protected void Button1_Click(object sender, EventArgs e)
  {
    SetEmpty = false;
    InitializeChartData();
  }
}
